# This file created by conda-build 24.1.1
# meta.yaml template originally from:
# /var/folders/k1/30mswbxs7r1g6zwn8y4fyt500000gp/T/abs_e2ffhlmgnd/clone/recipe, last modified Tue Feb 13 09:00:50 2024
# ------------------------------------------------

package:
  name: holoviews
  version: 1.18.3
source:
  sha256: 578e30e89d72754f97a83ebe08198fec8e87cc7e49b25b9f31ec393f939ca500
  url: https://pypi.io/packages/source/h/holoviews/holoviews-1.18.3.tar.gz
build:
  entry_points:
    - holoviews = holoviews.util.command:main
  number: '0'
  script:
    - /var/folders/k1/30mswbxs7r1g6zwn8y4fyt500000gp/T/abs_e2ffhlmgnd/croot/holoviews_1707836458582/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_plac/bin/python
      -m pip install . -vv --no-deps --no-build-isolation
  string: py39hca03da5_0
requirements:
  host:
    - brotli-python 1.0.9 py39hc377ac9_7
    - ca-certificates 2023.12.12 hca03da5_0
    - certifi 2024.2.2 py39hca03da5_0
    - charset-normalizer 2.0.4 pyhd3eb1b0_0
    - idna 3.4 py39hca03da5_0
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_0
    - ncurses 6.4 h313beb8_0
    - openssl 3.0.13 h1a28f6b_0
    - param 2.0.2 py39hca03da5_0
    - pip 23.3.1 py39hca03da5_0
    - pyct 0.5.0 py39hca03da5_0
    - pysocks 1.7.1 py39hca03da5_0
    - python 3.9.18 hb885b13_0
    - pyyaml 6.0.1 py39h80987f9_0
    - readline 8.2 h1a28f6b_0
    - requests 2.31.0 py39hca03da5_1
    - setuptools 68.2.2 py39hca03da5_0
    - sqlite 3.41.2 h80987f9_0
    - tk 8.6.12 hb8d0fd4_0
    - tzdata 2023d h04d1e81_0
    - urllib3 2.1.0 py39hca03da5_1
    - wheel 0.41.2 py39hca03da5_0
    - xz 5.4.5 h80987f9_0
    - yaml 0.2.5 h1a28f6b_0
    - zlib 1.2.13 h5a0b063_0
  run:
    - colorcet
    - matplotlib-base >=3
    - numpy >=1.0
    - packaging
    - pandas >=0.20.0
    - panel >=1.0
    - param >=1.12.0,<3.0
    - python >=3.9,<3.10.0a0
    - pyviz_comms >=0.7.4
test:
  commands:
    - pip check
    - holoviews -h
  imports:
    - holoviews
  requires:
    - pip
about:
  description: 'HoloViews is an open-source Python library designed to make data analysis

    and visualization seamless and simple. With HoloViews, you can usually

    express what you want to do in very few lines of code, letting you focus on

    what you are trying to explore and convey, not on the process of plotting.

    '
  dev_url: https://github.com/holoviz/holoviews
  doc_url: https://holoviews.org/getting_started/index.html
  home: https://holoviews.org
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Stop plotting your data - annotate your data and let it visualize itself.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: e22272a7-4db8-4c10-a28b-f56b793c3a6f
  recipe-maintainers:
    - basnijholt
    - jlstevens
    - philippjfr
  remote_url: git@github.com:AnacondaRecipes/holoviews-feedstock.git
  sha: be16034d24dd21267eac75ac4f918864ca1a2eda
  skip-lints:
    - host_section_needs_exact_pinnings
    - python_build_tool_in_run
